SCATPLT_SET_ALL_INACTIVE(3)

EXPERIMENTAL_FUNC
scatplt_set_all_inactive - Clear active state all scatter plots controlled refresh.

SYNOPSIS
#include <karma_scatplt.h>

flag scatplt_set_all_inactive

(KWorldCanvas canvas, flag force_refresh, flag refresh_if_changed, uaddr key)

DESCRIPTION
This routine will make all scatter plots associated with a world canvas inactive.

canvas
    The world canvas.

force_refresh
    If TRUE, the canvas is always refreshed.

refresh_if_changed
    If TRUE, the canvas is refreshed if the active state of any scatter plot changed.

key The key to use for inactivation of scatter plots. If this is 0 then all scatter plots will be made inactive.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/